function [ Qr ] = expFlux ( Sr , alpha );
% Relative flux from exponential storage-flux relation

Sr = max(0.0,min(1.0,Sr));
if (abs(alpha) < 1e-6)
    Qr = Sr;
else
    Qr = (1.-exponen(-alpha*Sr))/(1.-exponen(-alpha));
end

% Secondairy function
function [ f ] = exponen(x)

f = exp(min(300.0,x));