function [ Y_sim ] = HYDRUS(x)
% Runs the HYDRUS model and computes the log-likelihood
tic
% Store local variable (is initally empty after declaration)
persistent dummy

% Only write the directory file (level_01.dir) one time
if isempty(dummy),
    
    % Write level_01.dir (needed to execute HYDRUS-1D)
    fid = fopen('level_01.dir','w+'); fprintf(fid,'%s',pwd); fclose(fid); dummy = 1;

end

% Load structure with observations and data to help modify initial and boundary conditions
data = Load_data;

% Back-transform parameters
% x(3:5) = 10.^x(3:5);

try

 	% Run HYDRUS-1D
	ModPred = runH1D(x,data);
	
	% Filter sims for measurement dates
	ind = zeros(size(data.hoy));
	for i = 1:size(data.hoy,1)
		ind(i) = find(ModPred.hoy == data.hoy(i));
    end

    % Return the simulated soil moisture values
	Y_sim = ModPred.water(ind);
    
catch	
	
	% If HYDRUS-1D did not converge, define zeros as output of model
	Y_sim = zeros(29,1);

end
%Runtime = toc