%% Problem settings defined by user
DREAMPar.d = 14;                        % Dimension of the problem
DREAMPar.T = 5000;                      % Number of generations
DREAMPar.thinning = 5;                  % Only store each 5th sample
DREAMPar.lik = 23;                      % Limits of acceptability likelihood

%% Provide information parameter space and initial sampling
Par_info.initial = 'latin';             % Initial sample from Latin hypercube sampling

%% Give the parameter ranges (minimum and maximum values)
Par_info.min = [ 1.0 1.0 0.1 0.0 0.0 1.0 1 1.0 1.00 1.00 0.01 0.0001 0.0   0 ];
Par_info.max = [ 150 150 0.5 0.1 0.4 250 5 500 1000 1000 0.25 0.0250 0.6   1 ];
Par_info.boundhandling = 'reflect';     % Explicit boundary handling

%% Define modelName
Func_name = 'sacmodel';

%% Define data structures for use in computation of posterior density
load bound.txt; Meas_info.S = bound(66:3717,4)/22.5;

%% Optional settings
options.modout = 'yes';                 % Return model (function) simulations of samples (yes/no)?
options.epsilon = 0.4 * Meas_info.S;    % Limits of acceptability

%% Run the DREAM_ZS algorithm
[chain,output,fx,Z] = DREAM_ZS(Func_name,DREAMPar,Par_info,Meas_info,options);
