% ---------------------------- Check the following two papers ----------------------------- %
%                                                                                           %
%   Vrugt, J.A., C.J.F. ter Braak, C.G.H. Diks, D. Higdon, B.A. Robinson, and J.M. Hyman    %
%       (2009), Accelerating Markov chain Monte Carlo simulation by differential evolution  %
%       with self-adaptive randomized subspace sampling, International Journal of Nonlinear %
%       Sciences and Numerical Simulation, 10(3), 271-288.                                  %
%   Ter Braak, C.J.F., and J.A. Vrugt (2008), Differential Evolution Markov Chain with      %
%       snooker updater and fewer chains, Statistics and Computing,                         %
%       10.1007/s11222-008-9104-9.                                                          %
%                                                                                           %
% ----------------------------------------------------------------------------------------- %

%% Problem settings defined by user
DREAMPar.d = 10;                        % Dimension of the problem
DREAMPar.T = 100000;                    % Number of generations
DREAMPar.thinning = 10;                 % Only store each 10th sample
DREAMPar.lik = 2;                       % Model output is log-likelihood

%% Define name of function (.m file) for posterior exploration
Func_name = 'mixturemodel';

%% Provide information parameter space and initial sampling
Par_info.initial = 'normal';            % Multinormal initial sampling distribution
Par_info.mu = zeros(1,DREAMPar.d);      % If 'normal', define mean of distribution
Par_info.cov = 5*eye(DREAMPar.d);       % If 'normal', define covariance matrix

%% Run the DREAM_ZS algorithm
[chain,output,fx,Z] = DREAM_ZS(Func_name,DREAMPar,Par_info);
