function [ModPred] = runH1D(x,data)
% Run the HYDRUS-1D model with new parameters and initial and boundary conditions and get simulated time series of soil water contents

% Modify SELECTOR.IN
ModifySelectorIn(x)

% Modify PROFILE.DAT
data.initial(:,3) = x(7);
ModifyProfileDat(data);

% Modify ATMOSPH.IN
data.boundcon(:,7) = x(7);
ModifyAtmosphIn(data);

% Run HYDRUS-1D
[status,output] = dos('H1D_CALC.EXE');

% Read OBS_NODE.OUT
ModPred = ReadObsNodeOut;